@use "../theme";

.hero {
    background: theme.$brandGradient;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    color: white;

    &--bg {
        position: absolute;
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        z-index: 1;

        img {
            display: none;

            @media only screen and (min-width: theme.$xl) {
                display: block;
                object-fit: cover;
                object-position: center;
                height: 100%;
                width: 100%;
            }
        }
    }

    &__intro {
        @media only screen and (min-width: theme.$sm) {
            text-align: center;
        }

        &__heading {
            font-size: theme.$fontSizeXLarge;
            font-weight: theme.$fontWeightSemiBold;

            @media only screen and (min-width: theme.$sm) {
                font-size: theme.$fontSizeXXXLarge;
                margin-bottom: theme.$spacing06;
            }
        }

        &__subtitle {
            font-size: 1.5rem;
            line-height: theme.$lineHeightHeading;
        }
    }

    &__content {
        display: flex;
        justify-content: center;
        flex-direction: column;

        @media only screen and (min-width: theme.$sm) {
            flex-direction: row;
        }

        justify-content: center;
        width: 100%;
    }
}
